﻿using System;
using System.IO;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

namespace MafiaServer
{
    public class Settings
    {
        private static MainConfig _config;

        public static MainConfig Config()
        {
            return _config;
        }

        public static void Initialize()
        {
            try
            {
                _config = JsonConvert.DeserializeObject<MainConfig>(File.ReadAllText("config.json"));
            }
            catch (FileNotFoundException e)
            {
                _config = new MainConfig();
                File.Create("config.json").Close();
            }
        }

        public static void Save()
        {
            File.WriteAllText("config.json",JsonConvert.SerializeObject(_config,Formatting.Indented));
        }
    }
}